For the complete documentation index, see llms.txt. This page is also available as Markdown.

Playbook Assemblies

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Query parameters
pageSizeinteger · int32OptionalDefault: 100
pageNumberinteger · int32OptionalDefault: 1
searchTextstringOptional
Responses
200

OK

No content

get/playbooks/{playbookIdentifier}/assemblies
GET /playbooks/{playbookIdentifier}/assemblies HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

post
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
playbookIdentifierstringRequired
Body
NamestringRequired
DescriptionstringRequired
Typestring · enumRequiredPossible values:
PlaybookGroupIdstring · uuidOptional
Filestring · binaryOptional
Responses
200

OK

objectIdentifierstring · uuidRequired
namestring · nullableRequired
descriptionstring · nullableRequired
dateAddedstring · date-timeRequired
dateModifiedstring · date-timeRequired
assemblyTypestring · enumRequiredPossible values:
playbookGroupObjectIdentifierstring · uuid · nullableOptional
post/playbooks/{playbookIdentifier}/assemblies
POST /playbooks/{playbookIdentifier}/assemblies HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 131

{
  "Name": "text",
  "Description": "text",
  "Type": "docxFlowWide",
  "PlaybookGroupId": "123e4567-e89b-12d3-a456-426614174000",
  "File": "binary"
}
200

OK

{
  "objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "description": "text",
  "dateAdded": "2026-01-01T00:00:00.000Z",
  "dateModified": "2026-01-01T00:00:00.000Z",
  "resourceOwner": {
    "email": "text",
    "name": "text",
    "id": "text"
  },
  "assemblyType": "docxFlowWide",
  "playbookGroupObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}
get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200

OK

No content

get/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}
GET /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

delete
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200

OK

No content

delete/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}
DELETE /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Query parameters
usePdfbooleanOptionalDefault: false
Responses
200

OK

No content

get/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/content
GET /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/content HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

put
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Body
filestring · binaryOptional
Responses
200

OK

No content

put/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/content
PUT /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/content HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17

{
  "file": "binary"
}
200

OK

No content

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200

OK

typestring · nullableRequired
get/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/rich-text
GET /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/rich-text HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "type": "text",
  "content": [
    {
      "type": "text",
      "text": "text",
      "attrs": {
        "id": "text",
        "label": "text",
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "type": "text",
        "promptDataType": "boolean",
        "properties": [
          {
            "type": "text",
            "attrs": {
              "type": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "id": "text",
              "label": "text",
              "renderAs": "text",
              "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
            }
          }
        ],
        "level": 1,
        "href": "text",
        "textAlign": "text"
      },
      "marks": [
        {
          "type": "text",
          "attrs": {
            "id": "text",
            "label": "text",
            "uuid": "123e4567-e89b-12d3-a456-426614174000",
            "type": "text",
            "promptDataType": "boolean",
            "properties": [
              {
                "type": "text",
                "attrs": {
                  "type": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "id": "text",
                  "label": "text",
                  "renderAs": "text",
                  "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                }
              }
            ],
            "level": 1,
            "href": "text",
            "textAlign": "text"
          }
        }
      ],
      "content": [
        {
          "type": "text",
          "text": "text",
          "attrs": {
            "id": "text",
            "label": "text",
            "uuid": "123e4567-e89b-12d3-a456-426614174000",
            "type": "text",
            "promptDataType": "boolean",
            "properties": [
              {
                "type": "text",
                "attrs": {
                  "type": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "id": "text",
                  "label": "text",
                  "renderAs": "text",
                  "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                }
              }
            ],
            "level": 1,
            "href": "text",
            "textAlign": "text"
          },
          "marks": [
            {
              "type": "text",
              "attrs": {
                "id": "text",
                "label": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "type": "text",
                "promptDataType": "boolean",
                "properties": [
                  {
                    "type": "text",
                    "attrs": {
                      "type": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "id": "text",
                      "label": "text",
                      "renderAs": "text",
                      "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                    }
                  }
                ],
                "level": 1,
                "href": "text",
                "textAlign": "text"
              }
            }
          ],
          "content": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ]
}
put
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Body
typestring · nullableRequired
Responses
200

OK

No content

put/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/rich-text
PUT /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/rich-text HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1666

{
  "type": "text",
  "content": [
    {
      "type": "text",
      "text": "text",
      "attrs": {
        "id": "text",
        "label": "text",
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "type": "text",
        "promptDataType": "boolean",
        "properties": [
          {
            "type": "text",
            "attrs": {
              "type": "text",
              "uuid": "123e4567-e89b-12d3-a456-426614174000",
              "id": "text",
              "label": "text",
              "renderAs": "text",
              "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
            }
          }
        ],
        "level": 1,
        "href": "text",
        "textAlign": "text"
      },
      "marks": [
        {
          "type": "text",
          "attrs": {
            "id": "text",
            "label": "text",
            "uuid": "123e4567-e89b-12d3-a456-426614174000",
            "type": "text",
            "promptDataType": "boolean",
            "properties": [
              {
                "type": "text",
                "attrs": {
                  "type": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "id": "text",
                  "label": "text",
                  "renderAs": "text",
                  "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                }
              }
            ],
            "level": 1,
            "href": "text",
            "textAlign": "text"
          }
        }
      ],
      "content": [
        {
          "type": "text",
          "text": "text",
          "attrs": {
            "id": "text",
            "label": "text",
            "uuid": "123e4567-e89b-12d3-a456-426614174000",
            "type": "text",
            "promptDataType": "boolean",
            "properties": [
              {
                "type": "text",
                "attrs": {
                  "type": "text",
                  "uuid": "123e4567-e89b-12d3-a456-426614174000",
                  "id": "text",
                  "label": "text",
                  "renderAs": "text",
                  "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                }
              }
            ],
            "level": 1,
            "href": "text",
            "textAlign": "text"
          },
          "marks": [
            {
              "type": "text",
              "attrs": {
                "id": "text",
                "label": "text",
                "uuid": "123e4567-e89b-12d3-a456-426614174000",
                "type": "text",
                "promptDataType": "boolean",
                "properties": [
                  {
                    "type": "text",
                    "attrs": {
                      "type": "text",
                      "uuid": "123e4567-e89b-12d3-a456-426614174000",
                      "id": "text",
                      "label": "text",
                      "renderAs": "text",
                      "parentMentionId": "123e4567-e89b-12d3-a456-426614174000"
                    }
                  }
                ],
                "level": 1,
                "href": "text",
                "textAlign": "text"
              }
            }
          ],
          "content": [
            "[Circular Reference]"
          ]
        }
      ]
    }
  ]
}
200

OK

No content

get
Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
playbookIdentifierstringRequired
Responses
200

OK

No content

get/playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/download-url
GET /playbooks/{playbookIdentifier}/assemblies/{objectIdentifier}/download-url HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Last updated